| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.ThreeColumns

Portability | unportable
Stability | unstable
Maintainer | ?

Contents

Usage

Description
A layout similar to tall but with three columns.
Synopsis

data ThreeCol a = ThreeCol !Int !Rational !Rational

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.ThreeColumns

Then edit your `layoutHook` by adding the ThreeCol layout:

     myLayouts = ThreeCol 1 (3/100) (1/2) ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data ThreeCol a | Source

Constructors

ThreeCol !Int !Rational !Rational |

Instances

LayoutClass ThreeCol a
Read (ThreeCol a)
Show (ThreeCol a)

Produced by Haddock version 2.4.2